library(survival)
## now we see why we need a data frame
dftoydata2<-data.frame(indivID=1:10,time=sample(1:5,10,rep=TRUE),status=2,treatment=sample(c("a","b"),10,rep=TRUE))

times.toydata2<-with(dftoydata2, Surv(time, status))

## and ~
sfit.toydata2<-survfit(times.toydata2~treatment,dftoydata2)

plot(sfit.toydata2,lwd=3,lty=c(1,2),xlab="time",ylab="Cumulative survival",cex.lab=1.5)
legend("topright",legend=c("a","b"),lty=c(1,2),lwd=3,cex=2,bty="n")
