library(survival)
v.times<-with(veteran,Surv(time,status))
v.survfit<-survfit(v.times~trt,data=veteran)
plot(v.survfit,lty=c(1,2),lwd=1,xlab="time",ylab="Cumulative survival",cex.lab=1.5,conf.int=TRUE)
legend("topright",legend=c("trt=1","trt=2"),lty=c(1,2),lwd=3,cex=2,bty="n")
print(v.survfit,print.rmean=TRUE)
print(survdiff(v.times~veteran$trt))
print(survdiff(v.times~veteran$celltype))
summary(coxph(v.times~karno,data=veteran))
summary(coxph(v.times~karno+trt,data=veteran))
summary(coxph(v.times~karno+trt+celltype,data=veteran))

